Subject: bug#22690: ELPA repository is corrupted on Savannah

From: Paul Eggert <[email-masked]>
Date: Mon, 5 Mar 2018 09:33:32 -0800

On 03/05/2018 05:11 AM, Richard Stallman wrote:
> What is the problem?  The idea that there is no way to
> fix it is somewhat shocking.

As I understand it the problem is that the repository data uses a Git 
format that was a mistake and has been deprecated in later Git releases. 
Current versions of Git do not generate this mistaken format, and 
optionally warn if they discover it in the repository (the mistaken 
format still works otherwise). Our repository contains data that was 
generated by an older Git that had the bug.

We could work around the problem by rewriting history, something that is 
a pain to do with Git (and which arguably is not something we should do, 
which is why I wrote the somewhat-misleading "the bug cannot be fixed"). 
We'd rather not work around the problem in this particular case as it's 
not worth the trouble.